version: '3.5'

services:
  webserver:
    image: nginx:alpine
    container_name: webserver
    restart: unless-stopped
    tty: true
    networks:
      - app-network
    volumes:
      - ./:/var/www
      - ./docker/nginx/:/etc/nginx/conf.d/
    ports:
      - "8000:80"
      - ${VITE_PORT:-5173}:${VITE_PORT:-5173}

  app:
    container_name: app
    working_dir: /var/www
    build:
      context: .
    volumes:
      - ./:/var/www
      - ./docker/php/local.ini:/usr/local/etc/php/conf.d/local.ini
    tty: true
    restart: unless-stopped
    networks:
      - app-network

  db:
    container_name: db
    image: postgres:14.3-alpine
    environment:
      POSTGRES_DB: ${DB_DATABASE}
      POSTGRES_USER: ${DB_USERNAME}
      POSTGRES_PASSWORD: ${DB_PASSWORD}
    ports:
      - "54321:5432"
    restart: unless-stopped
    volumes:
        - postgres_data:/var/lib/postgresql/data
    networks:
      - app-network

  pgadmin:
    container_name: pgadmin
    image: dpage/pgadmin4
    environment:
      PGADMIN_DEFAULT_EMAIL: ${PGADMIN_DEFAULT_EMAIL}
      PGADMIN_DEFAULT_PASSWORD: ${PGADMIN_DEFAULT_PASSWORD}
    ports:
      - "5050:80"
    restart: unless-stopped
    networks:
      - app-network

  meilisearch:
    container_name: meilisearch
    image: getmeili/meilisearch:v0.29.1
    environment:
      MEILI_MASTER_KEY: ${MEILISEARCH_KEY}
      MEILI_NO_ANALYTICS: ${MEILISEARCH_NO_ANALYTICS}
      MEILI_NO_SENTRY: ${MEILISEARCH_NO_SENTRY}
    ports:
      - "7700:7700"
    restart: unless-stopped
    networks:
      - app-network

networks:
  app-network:
    driver: bridge

volumes:
    postgres_data:


